#!/usr/bin/env perl

use 5.24.0;

use Data::Dumper;
use Storable;

my $data = retrieve $ARGV[0];

for my $mod ($data->{modules}->@*) {
	if ($mod =~ /Apache/ && !$data->{jobstatus}{$mod}{tested}) {
		$data->{jobstatus}{$mod}={tested => 3, status => "apache failure"};
	}
}

store $data, $ARGV[0].'.new';
